catalog:
  title: Taverna XKCD Tests Runner

templates:
- runnable
- base

variables:
  description: Runs the Taverna XKCD Test
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  runnable: true

  branches:
  - master

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0
    export PATH=$PATH:${toolkit.dir}/bin/
    export prefix=${toolkit.dir}
    export PYTHONPATH=$PYTHONPATH:${toolkit.dir}/lib/python2.7/site-packages/
    $prefix/bin/fsmt -p -c -o $WORKSPACE ${toolkit.dir}/etc/fsmt-experiments/taverna-2.5/taverna-2.5.scxml
